# Interface ModelOptions

interface ModelOptions {
"3d-tiles"?:
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
| (
(
viewLayer: ViewLayer,
model: Model,
) =>
| void
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
);
forceReplaceImmediately?: boolean;
light?: boolean;
textureOptions?: TextureOptions;
}

- Defined in lib/five/model/model-scene.ts:18

##### Index

### Properties

3d-tiles?
forceReplaceImmediately?
light?
textureOptions?

## Properties

### `Optional` 3d-tiles

"3d-tiles"?:
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
| (
(
viewLayer: ViewLayer,
model: Model,
) =>
| void
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
)

模型 3d-tile 参数

- Defined in lib/five/model/model-scene.ts:24

### `Optional` forceReplaceImmediately

forceReplaceImmediately?: boolean

强制显示模型，不等待加载完

- Defined in lib/five/model/model-scene.ts:37

### `Optional` light

light?: boolean

模型是否感光

- Defined in lib/five/model/model-scene.ts:21

### `Optional` textureOptions

textureOptions?: TextureOptions

模型贴图的配置参数

#### Description

可以动态对配置在 `work` 数据中的模型贴图在 runtime 做 url 调整。 平衡加载时间和图片质量

- Defined in lib/five/model/model-scene.ts:34